Bug 1414155 - fusor-undercloud-installer doesn't trim provided values, rejects valid user input with trailing whitespace
Summary: fusor-undercloud-installer doesn't trim provided values, rejects valid user i...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Quickstart Cloud Installer
Classification: Red Hat
Component: fusor-installer
Version: 1.1
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 1.1
Assignee: jkim
QA Contact: Tasos Papaioannou
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-17 22:07 UTC by Matt Reid
Modified: 2017-02-28 01:44 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-28 01:44:43 UTC
Target Upstream Version:


Attachments (Terms of Use)
Space at the end of a string required me to try again (84.58 KB, image/png)
2017-01-17 22:07 UTC, Matt Reid
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2017:0335 0 normal SHIPPED_LIVE Red Hat Quickstart Installer 1.1 2017-02-28 06:36:13 UTC

Description Matt Reid 2017-01-17 22:07:56 UTC
Created attachment 1241972 [details]
Space at the end of a string required me to try again

Description of problem:
If you provide an IP address or block with a trailing space, it won't be recognized as a correct input. We should trim the values we get in case people are copy-pasting from notes, and end up with a space at the end by accident.

Version-Release number of selected component (if applicable):
1.1

Comment 4 Tasos Papaioannou 2017-01-20 21:19:47 UTC
Commit isn't present in QCIOOO-10.0-RHEL-7-20170119.t.0.

Comment 5 Dylan Murray 2017-01-24 14:38:04 UTC
This fix is in QCIOOO-10.0-RHEL-7-20170123.t.1

Comment 6 Tasos Papaioannou 2017-01-24 15:42:09 UTC
It looks like the fix did not make it into QCIOOO-10.0-RHEL-7-20170123.t.1 either.

Comment 7 Dylan Murray 2017-01-26 20:07:22 UTC
Sorry Tasos... still getting the process for the ooo iso down. This commit made it into QCIOOO-10.0-RHEL-7-20170126.t.0 I promise :).

Comment 8 Tasos Papaioannou 2017-01-30 20:01:35 UTC
Verified on QCIOOO-10.0-RHEL-7-20170126.t.0.

Comment 10 errata-xmlrpc 2017-02-28 01:44:43 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2017:0335


Note You need to log in before you can comment on or make changes to this bug.